# Class CIM_VolumeSetBasedOnPSExtent
extends CIM_BasedOn

This association is deprecated in lieu of CompositeExtentBasedOn, since VolumeSets and ProtectedSpaceExtents are themselves deprecated. The relationship describes that VolumeSets are BasedOn on one or more ProtectedSpaceExtents.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_VolumeSetBasedOnPSExtent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_CompositeExtentBasedOn
Description | string | This association is deprecated in lieu of CompositeExtentBasedOn, since VolumeSets and ProtectedSpaceExtents are themselves deprecated. The relationship describes that VolumeSets are BasedOn on one or more ProtectedSpaceExtents.
UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LBAMappingIncludesCheckData | boolean |
Deprecated | string | CIM_CompositeExtentBasedOn.LBAMappingIncludesCheckData
Description | string | True if the logical block mapping algorithm includes check data bytes. This property corresponds to the NOCHKSKIP attribute in the SCC-2 Volume Set PS_Extent Descriptor.
LBAsMappedByDecrementing | boolean |
Deprecated | string | CIM_CompositeExtentBasedOn.LBAsMappedByDecrementing
Description | string | True if logical blocks in the ProtectedSpaceExtent are mapped in decrementing order. This property corresponds to the INCDEC value in the SCC-2 Volume Set PS_Extent Descriptor.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_VolumeSetBasedOnPSExtent | CIM_ProtectedSpaceExtent
Dependent | CIM_VolumeSetBasedOnPSExtent | CIM_VolumeSet

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn
StartingAddress | uint64 | CIM_BasedOn

## Class Methods